Bug 203930 - snd_hda_intel module prevents the computer from powering off
snd_hda_intel module prevents the computer from powering off
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Brian Brock
:
: 212726 (view as bug list)
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2006-08-24 11:56 EDT by Davide Moretti
Modified: 2008-11-29 17:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-29 17:03:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode, lspci and dmesg output (75.27 KB, text/plain)
2008-01-17 08:33 EST, Davide Moretti
no flags Details
lsmod (2.31 KB, text/plain)
2008-01-18 06:11 EST, Davide Moretti
no flags Details
/etc/modprobe.conf (380 bytes, text/plain)
2008-01-18 06:12 EST, Davide Moretti
no flags Details
Add reboot notifier to intel8x0 driver (3.19 KB, patch)
2008-11-04 12:09 EST, Jaroslav Kysela
no flags Details | Diff

  None (edit)
Description Davide Moretti 2006-08-24 11:56:52 EDT
Description of problem:

If the snd_hda_intel module is loaded into the kernel (for example after
starting X), the computer will not power off when "poweroff" command is called.
My computer has an Asus P5GD1 motherboard.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Start computer at runlevel 5
2.Log in into X and play some sound just to be sure sound module is loaded
3.System -> Shut down.

  
Actual results:
The computer doesn't power off and hangs after a message "ACPI power down
called" is displayed.

Expected results:
The computer shoud poweroff

Additional info:

I added a 'modprobe -r snd_hda_intel' line  in the stop) section of
/etc/init.d/kudzu and the computer shuts down correctly therafter.
Comment 1 David Lawrence 2006-09-05 11:56:02 EDT
Changing to proper owner, kernel-maint.
Comment 2 Dave Jones 2006-10-16 17:11:48 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Davide Moretti 2006-10-17 08:43:34 EDT
Even with kernel-smp 2.6.18-1.22000.fc5 the problem persists. I tried booting
with the 'acpi=ht' boot option, but the system still doesn't poweroff, the only
thing changed is the last message printed: "System halted" instead of
"acpi_power_off called".
The only way to let the computer shutdown automatically is to call modprobe -r
snd_hda_intel somewhere during the shutdown process (I moved it from kudzu to
the halt script just after the "saving mixer settings" lines).
Comment 4 Stefan Orbilt 2007-10-29 14:52:51 EDT
I can confirm the problem still exists in Fedora 7 with the Asus P5GD1
motherboard. I've had this annoying shutdown problem for five months and finally
I have found a workaround here, thanks Davide!! Unfortunately I found the bug
still exists in Fedora 8 Test 2 as well.
Comment 5 Jon Stanley 2007-12-30 22:39:42 EST
Changing version to F7 since that it the last released version that this problem
is reported in.  You mention F8T2, does it exist in released F8?
Comment 6 Jon Stanley 2007-12-30 22:40:19 EST
*** Bug 212726 has been marked as a duplicate of this bug. ***
Comment 7 Davide Moretti 2008-01-08 08:57:35 EST
This bug is still present in F8 - kernel 2.6.23.9-85.fc8
Comment 8 Christopher Brown 2008-01-16 15:43:47 EST
Davide,

Could you try booting with acpi=off and then try powering off. Could you also
attach the following from a normal boot as separate attachments to this bug
(type text/plain):

# dmidecode
# lspci -vvxxx
dmesg
Comment 9 Davide Moretti 2008-01-17 08:33:23 EST
Created attachment 291992 [details]
dmidecode, lspci and dmesg output
Comment 10 Davide Moretti 2008-01-17 08:34:53 EST
Comment on attachment 291992 [details]
dmidecode, lspci and dmesg output

The system with acpi=off still does not power off.
Comment 11 Christopher Brown 2008-01-17 10:28:40 EST
Hello Davide,

Some more things to try:

Could you try unloading your vmware modules before powerdown. Could you also
attach the output (separate files please) of:

lsmod
/etc/modprobe.conf

Cheers
Chris
Comment 12 Davide Moretti 2008-01-18 06:11:15 EST
Created attachment 292123 [details]
lsmod
Comment 13 Davide Moretti 2008-01-18 06:12:41 EST
Created attachment 292124 [details]
/etc/modprobe.conf
Comment 14 Davide Moretti 2008-01-18 06:21:02 EST
(In reply to comment #11)
> Could you try unloading your vmware modules before powerdown.

It doesn't power off even without loading vmware and virtualbox modules.

the previous lsmod attachment is without vmware and vbox modules loaded and the
system did not power off.
Comment 15 Christopher Brown 2008-01-18 07:10:38 EST
Found the following which you should be able to use as a workaround:

If you edit /etc/init.d/halt and add “rmmod snd-hda-intel” this will unload the
module and poweroff completely.

I'm assigning anyway and adding ALSA blocker. Lowering severity and priority as
a workaround is available.
Comment 16 Davide Moretti 2008-01-18 08:48:22 EST
(In reply to comment #15)
> Found the following which you should be able to use as a workaround:
> 
> If you edit /etc/init.d/halt and add “rmmod snd-hda-intel” this will unload the
> module and poweroff completely.

I'm already using that workaround since first reporting this bug, so it issn't a
big problem if it persists... :)
Comment 17 Davide Moretti 2008-05-18 06:25:13 EDT
Bug still present in Fedora 9 - kernel 2.6.25.3-18.fc9.i686
Comment 18 Jaroslav Kysela 2008-11-04 12:09:22 EST
Created attachment 322450 [details]
Add reboot notifier to intel8x0 driver
Comment 19 Jaroslav Kysela 2008-11-04 12:11:16 EST
Davide, could you test the proposed patch for this issue or you need a full test kernel?
Comment 20 Davide Moretti 2008-11-04 13:20:57 EST
Better to get a full kernel if you can.
Comment 21 Davide Moretti 2008-11-06 09:49:40 EST
(In reply to comment #19)
> Davide, could you test the proposed patch for this issue or you need a full
> test kernel?

I have too much work to do, and can't set up a build environment on my machine by now...
Comment 22 Davide Moretti 2008-11-29 10:12:55 EST
The problem seems fixed in FC10.

If somebody else had this issue and tried fc10, please report his results.
Comment 23 Jaroslav Kysela 2008-11-29 17:03:50 EST
OK, marking as fixed for F10. Thanks.

Note You need to log in before you can comment on or make changes to this bug.